Bug 30856 - direct rendering (Matrox cards) fails on Alpha
direct rendering (Matrox cards) fails on Alpha
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-03-06 15:34 EST by Michal Jaegermann
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-20 07:58:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
full log from a direct rendering failure (26.12 KB, text/plain)
2001-03-06 15:36 EST, Michal Jaegermann
no flags Details

  None (edit)
Description Michal Jaegermann 2001-03-06 15:34:47 EST
XFree86-4.0.2-11.4.0 on Alpha UP1100 with Matrox G450 - failure in
direct rendering.  This is with 2.4.2-ac12 kernel which supposedly
includes various AGP fixes.

When agpgart and mga modules are loaded then the following shows up
in 'dmesg' buffers:

Linux agpgart interface v0.99 (c) Jeff Hartmann
agpgart: Maximum main memory to use for agp memory: 203M
agpgart: Detected AMD Irongate chipset
agpgart: AGP aperture is 32M @ 0x82000000
[drm] AGP 0.99 on AMD Irongate @ 0x82000000 32MB
[drm] Initialized mga 2.0.1 20000928 on minor 63

(II) MGA(0): [drm] bpp: 16 depth: 16
(II) MGA(0): [drm] Sarea 2196+632: 2828
(0): [drm] created "mga" driver at busid "PCI:1:5:0"
(0): [drm] added 8192 byte SAREA at 0xfffffc00082ea000
(0): [drm] mapped SAREA 0xfffffc00082ea000 to 0x2000002a000
(0): [drm] framebuffer handle = 0x80084000000
(0): [drm] added 1 reserved context for kernel
(II) MGA(0): [drm] Registers = 0x80086820000
[drm] drmAgpEnabled succeeded for AGP mode 1x
(0): [drm] failed to remove DRM signal handler
(0): [drm] removed 1 reserved context for kernel
DRIUnlock called when not locked
(0): [drm] unmapping 8192 bytes of SAREA 0xfffffc00082ea000 at
(EE) MGA(0): [drm] drmAddMap failed on AGP aperture
(II) MGA(0): Using overlay video
(II) MGA(0): direct rendering disabled

For a situation when a direct rendering works (the same
XFree86-4.0.2-11.4.0 on x86 with G400 card and in 16 bit depth) the
corresponding output looks like this (dmesg and log fragments):

agpgart: Maximum main memory to use for agp memory: 94M
agpgart: Detected Via Apollo KX133 chipset
agpgart: AGP aperture is 64M @ 0xd0000000
[drm] AGP 0.99 on VIA Apollo KX133 @ 0xd0000000 64MB
[drm] Initialized mga 2.0.0 20000910 on minor 63

(II) MGA(0): [drm] bpp: 16 depth: 16
(II) MGA(0): [drm] Sarea 2196+632: 2828
(0): [drm] created "mga" driver at busid "PCI:1:0:0"
(0): [drm] added 4096 byte SAREA at 0xc515a000
(0): [drm] mapped SAREA 0xc515a000 to 0x4001c000
(0): [drm] framebuffer handle = 0xd8000000
(0): [drm] added 1 reserved context for kernel
(II) MGA(0): [drm] Registers = 0xd4000000
[drm] drmAgpEnabled succeeded for AGP mode 1x
(II) MGA(0): WARP Microcode Loaded
(II) MGA(0): [drm] calced backoffset: 0x53b000
(II) MGA(0): [drm] added 31 65536 byte DMA buffers
(II) MGA(0): [drm] Mga Dma Initialization start
(II) MGA(0): [drm] Mga Dma Initialization done
(II) MGA(0): [drm] Initialized Dma Engine
(II) MGA(0): [drm] dma control initialized, using IRQ 4
(II) MGA(0): Using overlay video
(0): X context handle = 0x00000001
(0): [drm] installed DRM signal handler
(0): [DRI] installation complete
(II) MGA(0): direct rendering enabled

Any ideas how to fix that?  A full log from X attached.

Comment 1 Michal Jaegermann 2001-03-06 15:36:54 EST
Created attachment 11942 [details]
full log from a direct rendering failure
Comment 2 Bill Nottingham 2001-03-06 16:02:27 EST
I'm not sure DRI has worked at all on alpha before. But I could be
Comment 3 Michal Jaegermann 2001-03-06 16:21:00 EST
No. It was even not reasonable to try for different reasons.  But this does
not mean that it cannot work - eventually.
Comment 4 Mike A. Harris 2001-03-07 08:09:50 EST
G450 and DRI don't get along yet on x86 let alone Alpha.. ;o)
Heck, G450 doesn't get along period yet.  ;o)
I'll keep this problem in mind when investigating g450 issues however.
Comment 5 Mike A. Harris 2001-03-07 08:16:04 EST
Comment 6 Michal Jaegermann 2001-03-07 11:38:48 EST
> Heck, G450 doesn't get along period yet.

It gets along sufficiently enough that I was able to attach to this
report a log file from a picture producing run on Alpha. You want these
notes in e-mail instead?

BTW - currently without direct rendering 'gears' benchmark on Alpha
with G450 produces numbers in 215-230 fps range.  Yes, indeed, there
are various open issues.
Comment 7 Mike A. Harris 2002-03-09 11:18:08 EST
Does rawhide 4.2.0 or any other newer version of X than was last reported
tested fix this?
Comment 8 Mike A. Harris 2002-07-22 02:54:23 EDT
Still present on RHL 7.2 for Alpha?

I've got a UP2000 and a DEC 500a, both which only have PCI slots.  My
Matrox G400, G450, and G550 are all AGP.  I have PCI G200 and lower
hardware.  Do you have a spare UP1100 by chance?  ;o)

I almost bought one on Ebay a few months ago.  Nice machine.
Comment 9 Michal Jaegermann 2002-07-22 12:11:06 EDT
I do not have at this moment any Alpha so I cannot do any direct tests; but
my experience with rawhide would indicate that this is the case.  A support
for AGP seems to be very 32-bit, if not x86, specific.
Comment 10 Mike A. Harris 2002-11-07 07:16:22 EST
I'm still unable to test AGP functionality on Alpha.  ;o/

I'd love to get a UP1100 or UP1500 for this sort of thing though.
I'll ping George France and see if he might be able to play with
Comment 11 Mike A. Harris 2002-12-21 16:40:17 EST
Defering until I've got an AGP alpha to poke at
Comment 12 Michal Jaegermann 2002-12-22 01:22:03 EST
I believe that the problem is really rooted in a kernel AGP support
or at least is hard to solve on X level without fixing a kernel side first.
Somebody eventually started rewrite of that in 2.5 kernels.  Jeff Hartmann
cannot be reached by anybody for a long time and the original code
has numerous problems not only on Alpha.

In any case XFree 4.2.0 works reasonably well (IIRC, I am using Radeon 7500
on Alpha for a long time) by switching to PCI mode; so this report, as
can be expected, is now long obsolete.
Comment 13 Mike A. Harris 2005-04-20 07:58:59 EDT
I'm currently reviewing all X related bugs in "DEFERRED" state.  As you've
mentioned above, this issue is quite obsolete, and likely fixed for ages
now in upstream kernel and/or X.Org X11.

Setting to "CURRENTRELEASE" even though we don't ship an Alpha
release anymore.   If someone experiences the issue still, they
should report it in the upstream X.Org and/or kernel bugzillas


Note You need to log in before you can comment on or make changes to this bug.